IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.208.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
2.208.0.0- Broadcast address
2.223.255.255- First usable
2.208.0.1- Last usable
2.223.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02D00000· Integer47185920to48234495 - Reverse DNS zones
208.2.in-addr.arpa209.2.in-addr.arpa210.2.in-addr.arpa211.2.in-addr.arpa212.2.in-addr.arpa213.2.in-addr.arpa214.2.in-addr.arpa215.2.in-addr.arpa216.2.in-addr.arpa217.2.in-addr.arpa218.2.in-addr.arpa219.2.in-addr.arpa220.2.in-addr.arpa221.2.in-addr.arpa222.2.in-addr.arpa223.2.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.11010000.00000000.00000000 | 2.208.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 00000010.11010000.00000000.00000000 | 2.208.0.0 |
| Broadcast | 00000010.11011111.11111111.11111111 | 2.223.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
2.208.0.0/12 makes 256 subnets of /20.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.208.0.0/20 | 2.208.0.1 to 2.208.15.254 | 2.208.15.255 | 4,094 |
| 2 | 2.208.16.0/20 | 2.208.16.1 to 2.208.31.254 | 2.208.31.255 | 4,094 |
| 3 | 2.208.32.0/20 | 2.208.32.1 to 2.208.47.254 | 2.208.47.255 | 4,094 |
| 4 | 2.208.48.0/20 | 2.208.48.1 to 2.208.63.254 | 2.208.63.255 | 4,094 |
| 5 | 2.208.64.0/20 | 2.208.64.1 to 2.208.79.254 | 2.208.79.255 | 4,094 |
| 6 | 2.208.80.0/20 | 2.208.80.1 to 2.208.95.254 | 2.208.95.255 | 4,094 |
| 7 | 2.208.96.0/20 | 2.208.96.1 to 2.208.111.254 | 2.208.111.255 | 4,094 |
| 8 | 2.208.112.0/20 | 2.208.112.1 to 2.208.127.254 | 2.208.127.255 | 4,094 |
| 9 | 2.208.128.0/20 | 2.208.128.1 to 2.208.143.254 | 2.208.143.255 | 4,094 |
| 10 | 2.208.144.0/20 | 2.208.144.1 to 2.208.159.254 | 2.208.159.255 | 4,094 |
| 11 | 2.208.160.0/20 | 2.208.160.1 to 2.208.175.254 | 2.208.175.255 | 4,094 |
| 12 | 2.208.176.0/20 | 2.208.176.1 to 2.208.191.254 | 2.208.191.255 | 4,094 |
| 13 | 2.208.192.0/20 | 2.208.192.1 to 2.208.207.254 | 2.208.207.255 | 4,094 |
| 14 | 2.208.208.0/20 | 2.208.208.1 to 2.208.223.254 | 2.208.223.255 | 4,094 |
| 15 | 2.208.224.0/20 | 2.208.224.1 to 2.208.239.254 | 2.208.239.255 | 4,094 |
| 16 | 2.208.240.0/20 | 2.208.240.1 to 2.208.255.254 | 2.208.255.255 | 4,094 |
| 17 | 2.209.0.0/20 | 2.209.0.1 to 2.209.15.254 | 2.209.15.255 | 4,094 |
| 18 | 2.209.16.0/20 | 2.209.16.1 to 2.209.31.254 | 2.209.31.255 | 4,094 |
| 19 | 2.209.32.0/20 | 2.209.32.1 to 2.209.47.254 | 2.209.47.255 | 4,094 |
| 20 | 2.209.48.0/20 | 2.209.48.1 to 2.209.63.254 | 2.209.63.255 | 4,094 |
| 21 | 2.209.64.0/20 | 2.209.64.1 to 2.209.79.254 | 2.209.79.255 | 4,094 |
| 22 | 2.209.80.0/20 | 2.209.80.1 to 2.209.95.254 | 2.209.95.255 | 4,094 |
| 23 | 2.209.96.0/20 | 2.209.96.1 to 2.209.111.254 | 2.209.111.255 | 4,094 |
| 24 | 2.209.112.0/20 | 2.209.112.1 to 2.209.127.254 | 2.209.127.255 | 4,094 |
| 25 | 2.209.128.0/20 | 2.209.128.1 to 2.209.143.254 | 2.209.143.255 | 4,094 |
| 26 | 2.209.144.0/20 | 2.209.144.1 to 2.209.159.254 | 2.209.159.255 | 4,094 |
| 27 | 2.209.160.0/20 | 2.209.160.1 to 2.209.175.254 | 2.209.175.255 | 4,094 |
| 28 | 2.209.176.0/20 | 2.209.176.1 to 2.209.191.254 | 2.209.191.255 | 4,094 |
| 29 | 2.209.192.0/20 | 2.209.192.1 to 2.209.207.254 | 2.209.207.255 | 4,094 |
| 30 | 2.209.208.0/20 | 2.209.208.1 to 2.209.223.254 | 2.209.223.255 | 4,094 |
| 31 | 2.209.224.0/20 | 2.209.224.1 to 2.209.239.254 | 2.209.239.255 | 4,094 |
| 32 | 2.209.240.0/20 | 2.209.240.1 to 2.209.255.254 | 2.209.255.255 | 4,094 |
| 33 | 2.210.0.0/20 | 2.210.0.1 to 2.210.15.254 | 2.210.15.255 | 4,094 |
| 34 | 2.210.16.0/20 | 2.210.16.1 to 2.210.31.254 | 2.210.31.255 | 4,094 |
| 35 | 2.210.32.0/20 | 2.210.32.1 to 2.210.47.254 | 2.210.47.255 | 4,094 |
| 36 | 2.210.48.0/20 | 2.210.48.1 to 2.210.63.254 | 2.210.63.255 | 4,094 |
| 37 | 2.210.64.0/20 | 2.210.64.1 to 2.210.79.254 | 2.210.79.255 | 4,094 |
| 38 | 2.210.80.0/20 | 2.210.80.1 to 2.210.95.254 | 2.210.95.255 | 4,094 |
| 39 | 2.210.96.0/20 | 2.210.96.1 to 2.210.111.254 | 2.210.111.255 | 4,094 |
| 40 | 2.210.112.0/20 | 2.210.112.1 to 2.210.127.254 | 2.210.127.255 | 4,094 |
| 41 | 2.210.128.0/20 | 2.210.128.1 to 2.210.143.254 | 2.210.143.255 | 4,094 |
| 42 | 2.210.144.0/20 | 2.210.144.1 to 2.210.159.254 | 2.210.159.255 | 4,094 |
| 43 | 2.210.160.0/20 | 2.210.160.1 to 2.210.175.254 | 2.210.175.255 | 4,094 |
| 44 | 2.210.176.0/20 | 2.210.176.1 to 2.210.191.254 | 2.210.191.255 | 4,094 |
| 45 | 2.210.192.0/20 | 2.210.192.1 to 2.210.207.254 | 2.210.207.255 | 4,094 |
| 46 | 2.210.208.0/20 | 2.210.208.1 to 2.210.223.254 | 2.210.223.255 | 4,094 |
| 47 | 2.210.224.0/20 | 2.210.224.1 to 2.210.239.254 | 2.210.239.255 | 4,094 |
| 48 | 2.210.240.0/20 | 2.210.240.1 to 2.210.255.254 | 2.210.255.255 | 4,094 |
| 49 | 2.211.0.0/20 | 2.211.0.1 to 2.211.15.254 | 2.211.15.255 | 4,094 |
| 50 | 2.211.16.0/20 | 2.211.16.1 to 2.211.31.254 | 2.211.31.255 | 4,094 |
| 51 | 2.211.32.0/20 | 2.211.32.1 to 2.211.47.254 | 2.211.47.255 | 4,094 |
| 52 | 2.211.48.0/20 | 2.211.48.1 to 2.211.63.254 | 2.211.63.255 | 4,094 |
| 53 | 2.211.64.0/20 | 2.211.64.1 to 2.211.79.254 | 2.211.79.255 | 4,094 |
| 54 | 2.211.80.0/20 | 2.211.80.1 to 2.211.95.254 | 2.211.95.255 | 4,094 |
| 55 | 2.211.96.0/20 | 2.211.96.1 to 2.211.111.254 | 2.211.111.255 | 4,094 |
| 56 | 2.211.112.0/20 | 2.211.112.1 to 2.211.127.254 | 2.211.127.255 | 4,094 |
| 57 | 2.211.128.0/20 | 2.211.128.1 to 2.211.143.254 | 2.211.143.255 | 4,094 |
| 58 | 2.211.144.0/20 | 2.211.144.1 to 2.211.159.254 | 2.211.159.255 | 4,094 |
| 59 | 2.211.160.0/20 | 2.211.160.1 to 2.211.175.254 | 2.211.175.255 | 4,094 |
| 60 | 2.211.176.0/20 | 2.211.176.1 to 2.211.191.254 | 2.211.191.255 | 4,094 |
| 61 | 2.211.192.0/20 | 2.211.192.1 to 2.211.207.254 | 2.211.207.255 | 4,094 |
| 62 | 2.211.208.0/20 | 2.211.208.1 to 2.211.223.254 | 2.211.223.255 | 4,094 |
| 63 | 2.211.224.0/20 | 2.211.224.1 to 2.211.239.254 | 2.211.239.255 | 4,094 |
| 64 | 2.211.240.0/20 | 2.211.240.1 to 2.211.255.254 | 2.211.255.255 | 4,094 |
| 65 | 2.212.0.0/20 | 2.212.0.1 to 2.212.15.254 | 2.212.15.255 | 4,094 |
| 66 | 2.212.16.0/20 | 2.212.16.1 to 2.212.31.254 | 2.212.31.255 | 4,094 |
| 67 | 2.212.32.0/20 | 2.212.32.1 to 2.212.47.254 | 2.212.47.255 | 4,094 |
| 68 | 2.212.48.0/20 | 2.212.48.1 to 2.212.63.254 | 2.212.63.255 | 4,094 |
| 69 | 2.212.64.0/20 | 2.212.64.1 to 2.212.79.254 | 2.212.79.255 | 4,094 |
| 70 | 2.212.80.0/20 | 2.212.80.1 to 2.212.95.254 | 2.212.95.255 | 4,094 |
| 71 | 2.212.96.0/20 | 2.212.96.1 to 2.212.111.254 | 2.212.111.255 | 4,094 |
| 72 | 2.212.112.0/20 | 2.212.112.1 to 2.212.127.254 | 2.212.127.255 | 4,094 |
| 73 | 2.212.128.0/20 | 2.212.128.1 to 2.212.143.254 | 2.212.143.255 | 4,094 |
| 74 | 2.212.144.0/20 | 2.212.144.1 to 2.212.159.254 | 2.212.159.255 | 4,094 |
| 75 | 2.212.160.0/20 | 2.212.160.1 to 2.212.175.254 | 2.212.175.255 | 4,094 |
| 76 | 2.212.176.0/20 | 2.212.176.1 to 2.212.191.254 | 2.212.191.255 | 4,094 |
| 77 | 2.212.192.0/20 | 2.212.192.1 to 2.212.207.254 | 2.212.207.255 | 4,094 |
| 78 | 2.212.208.0/20 | 2.212.208.1 to 2.212.223.254 | 2.212.223.255 | 4,094 |
| 79 | 2.212.224.0/20 | 2.212.224.1 to 2.212.239.254 | 2.212.239.255 | 4,094 |
| 80 | 2.212.240.0/20 | 2.212.240.1 to 2.212.255.254 | 2.212.255.255 | 4,094 |
| 81 | 2.213.0.0/20 | 2.213.0.1 to 2.213.15.254 | 2.213.15.255 | 4,094 |
| 82 | 2.213.16.0/20 | 2.213.16.1 to 2.213.31.254 | 2.213.31.255 | 4,094 |
| 83 | 2.213.32.0/20 | 2.213.32.1 to 2.213.47.254 | 2.213.47.255 | 4,094 |
| 84 | 2.213.48.0/20 | 2.213.48.1 to 2.213.63.254 | 2.213.63.255 | 4,094 |
| 85 | 2.213.64.0/20 | 2.213.64.1 to 2.213.79.254 | 2.213.79.255 | 4,094 |
| 86 | 2.213.80.0/20 | 2.213.80.1 to 2.213.95.254 | 2.213.95.255 | 4,094 |
| 87 | 2.213.96.0/20 | 2.213.96.1 to 2.213.111.254 | 2.213.111.255 | 4,094 |
| 88 | 2.213.112.0/20 | 2.213.112.1 to 2.213.127.254 | 2.213.127.255 | 4,094 |
| 89 | 2.213.128.0/20 | 2.213.128.1 to 2.213.143.254 | 2.213.143.255 | 4,094 |
| 90 | 2.213.144.0/20 | 2.213.144.1 to 2.213.159.254 | 2.213.159.255 | 4,094 |
| 91 | 2.213.160.0/20 | 2.213.160.1 to 2.213.175.254 | 2.213.175.255 | 4,094 |
| 92 | 2.213.176.0/20 | 2.213.176.1 to 2.213.191.254 | 2.213.191.255 | 4,094 |
| 93 | 2.213.192.0/20 | 2.213.192.1 to 2.213.207.254 | 2.213.207.255 | 4,094 |
| 94 | 2.213.208.0/20 | 2.213.208.1 to 2.213.223.254 | 2.213.223.255 | 4,094 |
| 95 | 2.213.224.0/20 | 2.213.224.1 to 2.213.239.254 | 2.213.239.255 | 4,094 |
| 96 | 2.213.240.0/20 | 2.213.240.1 to 2.213.255.254 | 2.213.255.255 | 4,094 |
| 97 | 2.214.0.0/20 | 2.214.0.1 to 2.214.15.254 | 2.214.15.255 | 4,094 |
| 98 | 2.214.16.0/20 | 2.214.16.1 to 2.214.31.254 | 2.214.31.255 | 4,094 |
| 99 | 2.214.32.0/20 | 2.214.32.1 to 2.214.47.254 | 2.214.47.255 | 4,094 |
| 100 | 2.214.48.0/20 | 2.214.48.1 to 2.214.63.254 | 2.214.63.255 | 4,094 |
| 101 | 2.214.64.0/20 | 2.214.64.1 to 2.214.79.254 | 2.214.79.255 | 4,094 |
| 102 | 2.214.80.0/20 | 2.214.80.1 to 2.214.95.254 | 2.214.95.255 | 4,094 |
| 103 | 2.214.96.0/20 | 2.214.96.1 to 2.214.111.254 | 2.214.111.255 | 4,094 |
| 104 | 2.214.112.0/20 | 2.214.112.1 to 2.214.127.254 | 2.214.127.255 | 4,094 |
| 105 | 2.214.128.0/20 | 2.214.128.1 to 2.214.143.254 | 2.214.143.255 | 4,094 |
| 106 | 2.214.144.0/20 | 2.214.144.1 to 2.214.159.254 | 2.214.159.255 | 4,094 |
| 107 | 2.214.160.0/20 | 2.214.160.1 to 2.214.175.254 | 2.214.175.255 | 4,094 |
| 108 | 2.214.176.0/20 | 2.214.176.1 to 2.214.191.254 | 2.214.191.255 | 4,094 |
| 109 | 2.214.192.0/20 | 2.214.192.1 to 2.214.207.254 | 2.214.207.255 | 4,094 |
| 110 | 2.214.208.0/20 | 2.214.208.1 to 2.214.223.254 | 2.214.223.255 | 4,094 |
| 111 | 2.214.224.0/20 | 2.214.224.1 to 2.214.239.254 | 2.214.239.255 | 4,094 |
| 112 | 2.214.240.0/20 | 2.214.240.1 to 2.214.255.254 | 2.214.255.255 | 4,094 |
| 113 | 2.215.0.0/20 | 2.215.0.1 to 2.215.15.254 | 2.215.15.255 | 4,094 |
| 114 | 2.215.16.0/20 | 2.215.16.1 to 2.215.31.254 | 2.215.31.255 | 4,094 |
| 115 | 2.215.32.0/20 | 2.215.32.1 to 2.215.47.254 | 2.215.47.255 | 4,094 |
| 116 | 2.215.48.0/20 | 2.215.48.1 to 2.215.63.254 | 2.215.63.255 | 4,094 |
| 117 | 2.215.64.0/20 | 2.215.64.1 to 2.215.79.254 | 2.215.79.255 | 4,094 |
| 118 | 2.215.80.0/20 | 2.215.80.1 to 2.215.95.254 | 2.215.95.255 | 4,094 |
| 119 | 2.215.96.0/20 | 2.215.96.1 to 2.215.111.254 | 2.215.111.255 | 4,094 |
| 120 | 2.215.112.0/20 | 2.215.112.1 to 2.215.127.254 | 2.215.127.255 | 4,094 |
| 121 | 2.215.128.0/20 | 2.215.128.1 to 2.215.143.254 | 2.215.143.255 | 4,094 |
| 122 | 2.215.144.0/20 | 2.215.144.1 to 2.215.159.254 | 2.215.159.255 | 4,094 |
| 123 | 2.215.160.0/20 | 2.215.160.1 to 2.215.175.254 | 2.215.175.255 | 4,094 |
| 124 | 2.215.176.0/20 | 2.215.176.1 to 2.215.191.254 | 2.215.191.255 | 4,094 |
| 125 | 2.215.192.0/20 | 2.215.192.1 to 2.215.207.254 | 2.215.207.255 | 4,094 |
| 126 | 2.215.208.0/20 | 2.215.208.1 to 2.215.223.254 | 2.215.223.255 | 4,094 |
| 127 | 2.215.224.0/20 | 2.215.224.1 to 2.215.239.254 | 2.215.239.255 | 4,094 |
| 128 | 2.215.240.0/20 | 2.215.240.1 to 2.215.255.254 | 2.215.255.255 | 4,094 |
| 129 | 2.216.0.0/20 | 2.216.0.1 to 2.216.15.254 | 2.216.15.255 | 4,094 |
| 130 | 2.216.16.0/20 | 2.216.16.1 to 2.216.31.254 | 2.216.31.255 | 4,094 |
| 131 | 2.216.32.0/20 | 2.216.32.1 to 2.216.47.254 | 2.216.47.255 | 4,094 |
| 132 | 2.216.48.0/20 | 2.216.48.1 to 2.216.63.254 | 2.216.63.255 | 4,094 |
| 133 | 2.216.64.0/20 | 2.216.64.1 to 2.216.79.254 | 2.216.79.255 | 4,094 |
| 134 | 2.216.80.0/20 | 2.216.80.1 to 2.216.95.254 | 2.216.95.255 | 4,094 |
| 135 | 2.216.96.0/20 | 2.216.96.1 to 2.216.111.254 | 2.216.111.255 | 4,094 |
| 136 | 2.216.112.0/20 | 2.216.112.1 to 2.216.127.254 | 2.216.127.255 | 4,094 |
| 137 | 2.216.128.0/20 | 2.216.128.1 to 2.216.143.254 | 2.216.143.255 | 4,094 |
| 138 | 2.216.144.0/20 | 2.216.144.1 to 2.216.159.254 | 2.216.159.255 | 4,094 |
| 139 | 2.216.160.0/20 | 2.216.160.1 to 2.216.175.254 | 2.216.175.255 | 4,094 |
| 140 | 2.216.176.0/20 | 2.216.176.1 to 2.216.191.254 | 2.216.191.255 | 4,094 |
| 141 | 2.216.192.0/20 | 2.216.192.1 to 2.216.207.254 | 2.216.207.255 | 4,094 |
| 142 | 2.216.208.0/20 | 2.216.208.1 to 2.216.223.254 | 2.216.223.255 | 4,094 |
| 143 | 2.216.224.0/20 | 2.216.224.1 to 2.216.239.254 | 2.216.239.255 | 4,094 |
| 144 | 2.216.240.0/20 | 2.216.240.1 to 2.216.255.254 | 2.216.255.255 | 4,094 |
| 145 | 2.217.0.0/20 | 2.217.0.1 to 2.217.15.254 | 2.217.15.255 | 4,094 |
| 146 | 2.217.16.0/20 | 2.217.16.1 to 2.217.31.254 | 2.217.31.255 | 4,094 |
| 147 | 2.217.32.0/20 | 2.217.32.1 to 2.217.47.254 | 2.217.47.255 | 4,094 |
| 148 | 2.217.48.0/20 | 2.217.48.1 to 2.217.63.254 | 2.217.63.255 | 4,094 |
| 149 | 2.217.64.0/20 | 2.217.64.1 to 2.217.79.254 | 2.217.79.255 | 4,094 |
| 150 | 2.217.80.0/20 | 2.217.80.1 to 2.217.95.254 | 2.217.95.255 | 4,094 |
| 151 | 2.217.96.0/20 | 2.217.96.1 to 2.217.111.254 | 2.217.111.255 | 4,094 |
| 152 | 2.217.112.0/20 | 2.217.112.1 to 2.217.127.254 | 2.217.127.255 | 4,094 |
| 153 | 2.217.128.0/20 | 2.217.128.1 to 2.217.143.254 | 2.217.143.255 | 4,094 |
| 154 | 2.217.144.0/20 | 2.217.144.1 to 2.217.159.254 | 2.217.159.255 | 4,094 |
| 155 | 2.217.160.0/20 | 2.217.160.1 to 2.217.175.254 | 2.217.175.255 | 4,094 |
| 156 | 2.217.176.0/20 | 2.217.176.1 to 2.217.191.254 | 2.217.191.255 | 4,094 |
| 157 | 2.217.192.0/20 | 2.217.192.1 to 2.217.207.254 | 2.217.207.255 | 4,094 |
| 158 | 2.217.208.0/20 | 2.217.208.1 to 2.217.223.254 | 2.217.223.255 | 4,094 |
| 159 | 2.217.224.0/20 | 2.217.224.1 to 2.217.239.254 | 2.217.239.255 | 4,094 |
| 160 | 2.217.240.0/20 | 2.217.240.1 to 2.217.255.254 | 2.217.255.255 | 4,094 |
| 161 | 2.218.0.0/20 | 2.218.0.1 to 2.218.15.254 | 2.218.15.255 | 4,094 |
| 162 | 2.218.16.0/20 | 2.218.16.1 to 2.218.31.254 | 2.218.31.255 | 4,094 |
| 163 | 2.218.32.0/20 | 2.218.32.1 to 2.218.47.254 | 2.218.47.255 | 4,094 |
| 164 | 2.218.48.0/20 | 2.218.48.1 to 2.218.63.254 | 2.218.63.255 | 4,094 |
| 165 | 2.218.64.0/20 | 2.218.64.1 to 2.218.79.254 | 2.218.79.255 | 4,094 |
| 166 | 2.218.80.0/20 | 2.218.80.1 to 2.218.95.254 | 2.218.95.255 | 4,094 |
| 167 | 2.218.96.0/20 | 2.218.96.1 to 2.218.111.254 | 2.218.111.255 | 4,094 |
| 168 | 2.218.112.0/20 | 2.218.112.1 to 2.218.127.254 | 2.218.127.255 | 4,094 |
| 169 | 2.218.128.0/20 | 2.218.128.1 to 2.218.143.254 | 2.218.143.255 | 4,094 |
| 170 | 2.218.144.0/20 | 2.218.144.1 to 2.218.159.254 | 2.218.159.255 | 4,094 |
| 171 | 2.218.160.0/20 | 2.218.160.1 to 2.218.175.254 | 2.218.175.255 | 4,094 |
| 172 | 2.218.176.0/20 | 2.218.176.1 to 2.218.191.254 | 2.218.191.255 | 4,094 |
| 173 | 2.218.192.0/20 | 2.218.192.1 to 2.218.207.254 | 2.218.207.255 | 4,094 |
| 174 | 2.218.208.0/20 | 2.218.208.1 to 2.218.223.254 | 2.218.223.255 | 4,094 |
| 175 | 2.218.224.0/20 | 2.218.224.1 to 2.218.239.254 | 2.218.239.255 | 4,094 |
| 176 | 2.218.240.0/20 | 2.218.240.1 to 2.218.255.254 | 2.218.255.255 | 4,094 |
| 177 | 2.219.0.0/20 | 2.219.0.1 to 2.219.15.254 | 2.219.15.255 | 4,094 |
| 178 | 2.219.16.0/20 | 2.219.16.1 to 2.219.31.254 | 2.219.31.255 | 4,094 |
| 179 | 2.219.32.0/20 | 2.219.32.1 to 2.219.47.254 | 2.219.47.255 | 4,094 |
| 180 | 2.219.48.0/20 | 2.219.48.1 to 2.219.63.254 | 2.219.63.255 | 4,094 |
| 181 | 2.219.64.0/20 | 2.219.64.1 to 2.219.79.254 | 2.219.79.255 | 4,094 |
| 182 | 2.219.80.0/20 | 2.219.80.1 to 2.219.95.254 | 2.219.95.255 | 4,094 |
| 183 | 2.219.96.0/20 | 2.219.96.1 to 2.219.111.254 | 2.219.111.255 | 4,094 |
| 184 | 2.219.112.0/20 | 2.219.112.1 to 2.219.127.254 | 2.219.127.255 | 4,094 |
| 185 | 2.219.128.0/20 | 2.219.128.1 to 2.219.143.254 | 2.219.143.255 | 4,094 |
| 186 | 2.219.144.0/20 | 2.219.144.1 to 2.219.159.254 | 2.219.159.255 | 4,094 |
| 187 | 2.219.160.0/20 | 2.219.160.1 to 2.219.175.254 | 2.219.175.255 | 4,094 |
| 188 | 2.219.176.0/20 | 2.219.176.1 to 2.219.191.254 | 2.219.191.255 | 4,094 |
| 189 | 2.219.192.0/20 | 2.219.192.1 to 2.219.207.254 | 2.219.207.255 | 4,094 |
| 190 | 2.219.208.0/20 | 2.219.208.1 to 2.219.223.254 | 2.219.223.255 | 4,094 |
| 191 | 2.219.224.0/20 | 2.219.224.1 to 2.219.239.254 | 2.219.239.255 | 4,094 |
| 192 | 2.219.240.0/20 | 2.219.240.1 to 2.219.255.254 | 2.219.255.255 | 4,094 |
| 193 | 2.220.0.0/20 | 2.220.0.1 to 2.220.15.254 | 2.220.15.255 | 4,094 |
| 194 | 2.220.16.0/20 | 2.220.16.1 to 2.220.31.254 | 2.220.31.255 | 4,094 |
| 195 | 2.220.32.0/20 | 2.220.32.1 to 2.220.47.254 | 2.220.47.255 | 4,094 |
| 196 | 2.220.48.0/20 | 2.220.48.1 to 2.220.63.254 | 2.220.63.255 | 4,094 |
| 197 | 2.220.64.0/20 | 2.220.64.1 to 2.220.79.254 | 2.220.79.255 | 4,094 |
| 198 | 2.220.80.0/20 | 2.220.80.1 to 2.220.95.254 | 2.220.95.255 | 4,094 |
| 199 | 2.220.96.0/20 | 2.220.96.1 to 2.220.111.254 | 2.220.111.255 | 4,094 |
| 200 | 2.220.112.0/20 | 2.220.112.1 to 2.220.127.254 | 2.220.127.255 | 4,094 |
| 201 | 2.220.128.0/20 | 2.220.128.1 to 2.220.143.254 | 2.220.143.255 | 4,094 |
| 202 | 2.220.144.0/20 | 2.220.144.1 to 2.220.159.254 | 2.220.159.255 | 4,094 |
| 203 | 2.220.160.0/20 | 2.220.160.1 to 2.220.175.254 | 2.220.175.255 | 4,094 |
| 204 | 2.220.176.0/20 | 2.220.176.1 to 2.220.191.254 | 2.220.191.255 | 4,094 |
| 205 | 2.220.192.0/20 | 2.220.192.1 to 2.220.207.254 | 2.220.207.255 | 4,094 |
| 206 | 2.220.208.0/20 | 2.220.208.1 to 2.220.223.254 | 2.220.223.255 | 4,094 |
| 207 | 2.220.224.0/20 | 2.220.224.1 to 2.220.239.254 | 2.220.239.255 | 4,094 |
| 208 | 2.220.240.0/20 | 2.220.240.1 to 2.220.255.254 | 2.220.255.255 | 4,094 |
| 209 | 2.221.0.0/20 | 2.221.0.1 to 2.221.15.254 | 2.221.15.255 | 4,094 |
| 210 | 2.221.16.0/20 | 2.221.16.1 to 2.221.31.254 | 2.221.31.255 | 4,094 |
| 211 | 2.221.32.0/20 | 2.221.32.1 to 2.221.47.254 | 2.221.47.255 | 4,094 |
| 212 | 2.221.48.0/20 | 2.221.48.1 to 2.221.63.254 | 2.221.63.255 | 4,094 |
| 213 | 2.221.64.0/20 | 2.221.64.1 to 2.221.79.254 | 2.221.79.255 | 4,094 |
| 214 | 2.221.80.0/20 | 2.221.80.1 to 2.221.95.254 | 2.221.95.255 | 4,094 |
| 215 | 2.221.96.0/20 | 2.221.96.1 to 2.221.111.254 | 2.221.111.255 | 4,094 |
| 216 | 2.221.112.0/20 | 2.221.112.1 to 2.221.127.254 | 2.221.127.255 | 4,094 |
| 217 | 2.221.128.0/20 | 2.221.128.1 to 2.221.143.254 | 2.221.143.255 | 4,094 |
| 218 | 2.221.144.0/20 | 2.221.144.1 to 2.221.159.254 | 2.221.159.255 | 4,094 |
| 219 | 2.221.160.0/20 | 2.221.160.1 to 2.221.175.254 | 2.221.175.255 | 4,094 |
| 220 | 2.221.176.0/20 | 2.221.176.1 to 2.221.191.254 | 2.221.191.255 | 4,094 |
| 221 | 2.221.192.0/20 | 2.221.192.1 to 2.221.207.254 | 2.221.207.255 | 4,094 |
| 222 | 2.221.208.0/20 | 2.221.208.1 to 2.221.223.254 | 2.221.223.255 | 4,094 |
| 223 | 2.221.224.0/20 | 2.221.224.1 to 2.221.239.254 | 2.221.239.255 | 4,094 |
| 224 | 2.221.240.0/20 | 2.221.240.1 to 2.221.255.254 | 2.221.255.255 | 4,094 |
| 225 | 2.222.0.0/20 | 2.222.0.1 to 2.222.15.254 | 2.222.15.255 | 4,094 |
| 226 | 2.222.16.0/20 | 2.222.16.1 to 2.222.31.254 | 2.222.31.255 | 4,094 |
| 227 | 2.222.32.0/20 | 2.222.32.1 to 2.222.47.254 | 2.222.47.255 | 4,094 |
| 228 | 2.222.48.0/20 | 2.222.48.1 to 2.222.63.254 | 2.222.63.255 | 4,094 |
| 229 | 2.222.64.0/20 | 2.222.64.1 to 2.222.79.254 | 2.222.79.255 | 4,094 |
| 230 | 2.222.80.0/20 | 2.222.80.1 to 2.222.95.254 | 2.222.95.255 | 4,094 |
| 231 | 2.222.96.0/20 | 2.222.96.1 to 2.222.111.254 | 2.222.111.255 | 4,094 |
| 232 | 2.222.112.0/20 | 2.222.112.1 to 2.222.127.254 | 2.222.127.255 | 4,094 |
| 233 | 2.222.128.0/20 | 2.222.128.1 to 2.222.143.254 | 2.222.143.255 | 4,094 |
| 234 | 2.222.144.0/20 | 2.222.144.1 to 2.222.159.254 | 2.222.159.255 | 4,094 |
| 235 | 2.222.160.0/20 | 2.222.160.1 to 2.222.175.254 | 2.222.175.255 | 4,094 |
| 236 | 2.222.176.0/20 | 2.222.176.1 to 2.222.191.254 | 2.222.191.255 | 4,094 |
| 237 | 2.222.192.0/20 | 2.222.192.1 to 2.222.207.254 | 2.222.207.255 | 4,094 |
| 238 | 2.222.208.0/20 | 2.222.208.1 to 2.222.223.254 | 2.222.223.255 | 4,094 |
| 239 | 2.222.224.0/20 | 2.222.224.1 to 2.222.239.254 | 2.222.239.255 | 4,094 |
| 240 | 2.222.240.0/20 | 2.222.240.1 to 2.222.255.254 | 2.222.255.255 | 4,094 |
| 241 | 2.223.0.0/20 | 2.223.0.1 to 2.223.15.254 | 2.223.15.255 | 4,094 |
| 242 | 2.223.16.0/20 | 2.223.16.1 to 2.223.31.254 | 2.223.31.255 | 4,094 |
| 243 | 2.223.32.0/20 | 2.223.32.1 to 2.223.47.254 | 2.223.47.255 | 4,094 |
| 244 | 2.223.48.0/20 | 2.223.48.1 to 2.223.63.254 | 2.223.63.255 | 4,094 |
| 245 | 2.223.64.0/20 | 2.223.64.1 to 2.223.79.254 | 2.223.79.255 | 4,094 |
| 246 | 2.223.80.0/20 | 2.223.80.1 to 2.223.95.254 | 2.223.95.255 | 4,094 |
| 247 | 2.223.96.0/20 | 2.223.96.1 to 2.223.111.254 | 2.223.111.255 | 4,094 |
| 248 | 2.223.112.0/20 | 2.223.112.1 to 2.223.127.254 | 2.223.127.255 | 4,094 |
| 249 | 2.223.128.0/20 | 2.223.128.1 to 2.223.143.254 | 2.223.143.255 | 4,094 |
| 250 | 2.223.144.0/20 | 2.223.144.1 to 2.223.159.254 | 2.223.159.255 | 4,094 |
| 251 | 2.223.160.0/20 | 2.223.160.1 to 2.223.175.254 | 2.223.175.255 | 4,094 |
| 252 | 2.223.176.0/20 | 2.223.176.1 to 2.223.191.254 | 2.223.191.255 | 4,094 |
| 253 | 2.223.192.0/20 | 2.223.192.1 to 2.223.207.254 | 2.223.207.255 | 4,094 |
| 254 | 2.223.208.0/20 | 2.223.208.1 to 2.223.223.254 | 2.223.223.255 | 4,094 |
| 255 | 2.223.224.0/20 | 2.223.224.1 to 2.223.239.254 | 2.223.239.255 | 4,094 |
| 256 | 2.223.240.0/20 | 2.223.240.1 to 2.223.255.254 | 2.223.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |